Skip to content
DELETE /unified/ads/campaigns/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the campaign.

account_idstring

The unique identifier for the account.

bid_strategyobject

The bid strategy for the campaign.

idstring

The unique identifier for the bid strategy.

namestring

The name of the bid strategy.

Possible values:
lowest_cost_without_caplowest_cost_with_bid_capcost_cap
budgetobject

The budget for the campaign.

daily_maxstring

The daily max budget for the campaign.

idstring

The unique identifier for the budget.

is_rebalance_enabledboolean

Whether budget rebalancing is enabled for the campaign.

is_scheduling_enabledboolean

Whether budget scheduling is enabled for the campaign.

is_sharedboolean

Whether the budget is shared for the campaign with other campaigns.

lifetime_maxstring

The max budget for the campaign.

remainingstring

The remaining budget for the campaign.

buying_typestring

The buying type for the campaign.

Possible values:
auctionreserved
created_atstring · date-time

The date and time the campaign was created.

labelsobject[]

The labels for the campaign.

idstring

The unique identifier for the label.

namestring

The name of the label.

namestring

The name of the campaign.

objectivestring

The objective of the campaign.

Possible values:
app_installsbrand_awarenessconversionsvisitsjob_applicationsevent_responseslead_generationlink_clickslocal_awarenessmessagesoffer_claimsoutcome_app_promotion+ 11 more
primary_attributionstring

The primary attribution for the campaign.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

special_ad_categoriesstring[]

The special ad categories for the campaign.

Possible values:
creditemploymenthousingnonepoliticalsocial_issues
special_ad_categorystring

The special ad category for the campaign.

Possible values:
creditemploymenthousingnonepoliticalsocial_issues
spendobject

The spend for the campaign.

cap_enabledboolean

Whether the cap is enabled for the campaign.

max_capstring

The max cap spend for the campaign.

start_timestring · date-time

The start time for the campaign.

statusstring

The status of the campaign.

Possible values:
activeinactivedraftpauseddeletedarchivedin_processwith_issuescompletedcanceledpending_deletion
stop_timestring · date-time

The stop time for the campaign.

typestring

The type of the campaign

updated_atstring · date-time

The date and time the campaign was last updated.

curl -X DELETE 'https://api.truto.one/unified/ads/campaigns/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ads/campaigns/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ads/campaigns/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'ads',
  'campaigns',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "ads",
        "campaigns",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())